/*
 * Class EV_SCALED_PIXMAP_FACTORY
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_25 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_25 [] = {0xFF01,1551,24,0xFFFF};
static const EIF_TYPE_INDEX egt_2_25 [] = {0xFF01,24,0xFFFF};
static const EIF_TYPE_INDEX egt_3_25 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_25 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_25 [] = {0xFF01,24,0xFFFF};
static const EIF_TYPE_INDEX egt_6_25 [] = {0xFF01,24,0xFFFF};
static const EIF_TYPE_INDEX egt_7_25 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_25 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_25 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_25 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_25 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_25 [] = {0xFF01,24,0xFFFF};
static const EIF_TYPE_INDEX egt_13_25 [] = {0xFF01,40,0xFFFF};
static const EIF_TYPE_INDEX egt_14_25 [] = {0xFF01,1053,0xFFFF};
static const EIF_TYPE_INDEX egt_15_25 [] = {0xFF01,1559,1053,0xFFFF};
static const EIF_TYPE_INDEX egt_16_25 [] = {0xFF01,1559,1053,0xFFFF};
static const EIF_TYPE_INDEX egt_17_25 [] = {0xFF01,1053,0xFFFF};


static const struct desc_info desc_25[] = {
	{EIF_GENERIC(NULL), 223, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_25), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_25), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_25), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_25), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_25), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_25), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_25), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_25), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_25), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_25), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_25), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_25), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 215, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x31 /*24*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_25), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_25), 216, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_25), 217, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 218, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_25), 219, 0},
	{EIF_GENERIC(egt_16_25), 220, 4},
	{EIF_NON_GENERIC(0x06CB /*869*/), 221, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_25), 222, 0xFFFFFFFF},
};
void Init25(void)
{
	IDSC(desc_25, 0, 24);
	IDSC(desc_25 + 1, 1, 24);
	IDSC(desc_25 + 32, 1435, 24);
}


#ifdef __cplusplus
}
#endif
